Bug 1053197 - SELinux is preventing /usr/bin/mandb from 'add_name' accesses on the directory 9988. [NEEDINFO]
Summary: SELinux is preventing /usr/bin/mandb from 'add_name' accesses on the director...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:3e0c29be3526c5263c798217fd9...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-14 20:23 UTC by dxbike
Modified: 2015-06-29 14:27 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:27:29 UTC
Type: ---
mgrepl: needinfo? (dxbike)


Attachments (Terms of Use)

Description dxbike 2014-01-14 20:23:24 UTC
Description of problem:
SELinux is preventing /usr/bin/mandb from 'add_name' accesses on the directory 9988.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that mandb should be allowed add_name access on the 9988 directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep mandb /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:mandb_t:s0-s0:c0.c1023
Target Context                unconfined_u:object_r:man_t:s0
Target Objects                9988 [ dir ]
Source                        mandb
Source Path                   /usr/bin/mandb
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           man-db-2.6.5-2.fc20.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-106.fc20.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.12.6-300.fc20.x86_64 #1 SMP Mon
                              Dec 23 16:44:31 UTC 2013 x86_64 x86_64
Alert Count                   1
First Seen                    2014-01-15 03:20:13 WIB
Last Seen                     2014-01-15 03:20:13 WIB
Local ID                      9417bb32-5d8d-4f2c-ab05-4ad43d8007aa

Raw Audit Messages
type=AVC msg=audit(1389730813.885:883): avc:  denied  { add_name } for  pid=9988 comm="mandb" name="9988" scontext=system_u:system_r:mandb_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:man_t:s0 tclass=dir


type=SYSCALL msg=audit(1389730813.885:883): arch=x86_64 syscall=open success=no exit=EACCES a0=2606f20 a1=42 a2=1a4 a3=e items=0 ppid=9983 pid=9988 auid=0 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=5 tty=(none) comm=mandb exe=/usr/bin/mandb subj=system_u:system_r:mandb_t:s0-s0:c0.c1023 key=(null)

Hash: mandb,mandb_t,man_t,dir,add_name

Additional info:
reporter:       libreport-2.1.11
hashmarkername: setroubleshoot
kernel:         3.12.6-300.fc20.x86_64
type:           libreport

Comment 1 Daniel Walsh 2014-01-16 21:53:26 UTC
Any idea what directory this file is being created in?  mandb_t usually creates content in man cache directories?

Comment 2 Fedora End Of Life 2015-05-29 10:30:14 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2015-06-29 14:27:29 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.